"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const react_detect_offline_1 = require("react-detect-offline");
const CheckHealthServer_1 = __importDefault(require("./CheckHealthServer"));
function MainCheckHealth(props) {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(react_detect_offline_1.Online, null,
            react_1.default.createElement(CheckHealthServer_1.default, { url: props.url, axiosInstance: props.axiosInstance })),
        react_1.default.createElement(react_detect_offline_1.Offline, null,
            react_1.default.createElement(antd_1.Affix, { offsetTop: 10 },
                react_1.default.createElement(antd_1.Alert, { banner: true, message: "You are offline. Please check your internet connection.", type: "error", style: { textAlign: 'center', color: 'red' } })))));
}
exports.default = MainCheckHealth;
